textures/hellcastle_rc2/bridge
{
	cull none
	qer_editorimage textures/hellcastle_rc2/bridge.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nolightmap
	{
		map textures/hellcastle_rc2/bridge.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hellcastle_rc2/glass_blue
{
	cull none
	qer_editorimage textures/hellcastle_rc2/glass_blue.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellcastle_rc2/glass_blue.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/glass_gray
{
	cull none
	qer_editorimage textures/hellcastle_rc2/glass_gray.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellcastle_rc2/glass_gray.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/glass_green
{
	cull none
	qer_editorimage textures/hellcastle_rc2/glass_green.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellcastle_rc2/glass_green.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/glass_orange
{
	cull none
	qer_editorimage textures/hellcastle_rc2/glass_orange.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellcastle_rc2/glass_orange.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/glass_pink
{
	cull none
	qer_editorimage textures/hellcastle_rc2/glass_pink.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellcastle_rc2/glass_pink.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/glass_purple
{
	cull none
	qer_editorimage textures/hellcastle_rc2/glass_purple.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellcastle_rc2/glass_purple.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/glass_spring
{
	cull none
	qer_editorimage textures/hellcastle_rc2/glass_spring.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellcastle_rc2/glass_spring.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/lava
{
	cull none
	qer_editorimage textures/hellcastle_rc2/lava1.tga
	qer_trans 0.5
	q3map_surfacelight 800
	surfaceparm lava
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/hellcastle_rc2/lava1.tga
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcMod turb 1 0.05 0 0.03
	}
	{
		map textures/hellcastle_rc2/lava2.tga
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcMod turb 1 0.03 0 0.05
	}
}

textures/hellcastle_rc2/portal
{
	surfaceparm lightfilter
	surfaceparm nolightmap
	{
		clampmap textures/hellcastle_rc2/portal.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 540
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

textures/hellcastle_rc2/red
{
	qer_editorimage textures/hellcastle_rc2/red.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/hellcastle_rc2/red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/roof:q3map
{
	surfaceparm slick
}

textures/hellcastle_rc2/skybox
{
	qer_editorimage textures/hellcastle_rc2/skybox.tga
	q3map_skylight 10 5
	q3map_sunExt 0.9 0.9 0.9 100 114.51 74.98 15.08 16
	skyparms env/hellcastle_rc2/hellcastle 512 -
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
}

textures/hellcastle_rc2/slime
{
	cull none
	qer_editorimage textures/hellcastle_rc2/slime1.tga
	qer_trans 0.5
	q3map_surfacelight 800
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellcastle_rc2/slime1.tga
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcMod turb 1 0.05 0 0.03
	}
	{
		map textures/hellcastle_rc2/slime2.tga
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcMod turb 1 0.03 0 0.05
	}
}

textures/hellcastle_rc2/trapbrick
{
	cull none
	qer_editorimage textures/hellcastle_rc2/brick.tga
	qer_trans 0.5
	surfaceparm nonsolid
	{
		map textures/hellcastle_rc2/brick.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/trapconcrete
{
	cull none
	qer_editorimage textures/hellcastle_rc2/concrete.tga
	qer_trans 0.5
	surfaceparm nonsolid
	{
		map textures/hellcastle_rc2/concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/traplava
{
	cull none
	qer_editorimage textures/hellcastle_rc2/water2.tga
	qer_trans 0.5
	q3map_fancywater 1 0.275 0.584 0.522
	surfaceparm lava
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/hellcastle_rc2/water1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 -0.0173
	}
	{
		map textures/hellcastle_rc2/water2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.0173
	}
	{
		map textures/hellcastle_rc2/water3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 0
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/trapmetal
{
	cull none
	qer_editorimage textures/hellcastle_rc2/metal.tga
	qer_trans 0.5
	surfaceparm nonsolid
	{
		map textures/hellcastle_rc2/metal.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/trapslime
{
	cull none
	qer_editorimage textures/hellcastle_rc2/water2.tga
	qer_trans 0.5
	q3map_fancywater 1 0.275 0.584 0.522
	surfaceparm slime
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/hellcastle_rc2/water1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 -0.0173
	}
	{
		map textures/hellcastle_rc2/water2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.0173
	}
	{
		map textures/hellcastle_rc2/water3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 0
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellcastle_rc2/trapwater
{
	cull none
	qer_editorimage textures/hellcastle_rc2/lava1.tga
	qer_trans 0.5
	q3map_surfacelight 800
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/hellcastle_rc2/lava1.tga
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcMod turb 1 0.05 0 0.03
	}
	{
		map textures/hellcastle_rc2/lava2.tga
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcMod turb 1 0.03 0 0.05
	}
}

textures/hellcastle_rc2/trapwater2
{
	cull none
	qer_editorimage textures/hellcastle_rc2/slime1.tga
	qer_trans 0.5
	q3map_surfacelight 800
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/hellcastle_rc2/slime1.tga
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcMod turb 1 0.05 0 0.03
	}
	{
		map textures/hellcastle_rc2/slime2.tga
		alphaGen const 0.3
		blendFunc blend
		rgbgen identity
		tcMod turb 1 0.03 0 0.05
	}
}

textures/hellcastle_rc2/water
{
	cull none
	qer_editorimage textures/hellcastle_rc2/water2.tga
	qer_trans 0.5
	q3map_fancywater 1 0.275 0.584 0.522
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/hellcastle_rc2/water1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 -0.0173
	}
	{
		map textures/hellcastle_rc2/water2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.0173
	}
	{
		map textures/hellcastle_rc2/water3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 0
	}
	{
		map $lightmap
		blendfunc filter
	}
}